Description

Add a controller that will be responsible to handle all external links in the code.

This will enable plugins to override the default behavior for all links that exist in our code:

Plugins will be able to change the url for all links, thus enabling things like internal documentation, or local caches.

This becomes more important once we start implementing links in both react and ruby code. Without this feature, we will need to

duplicate link generation logic to both client and server.

Associated revisions

Revision 97b997fd - 05/05/2020 11:57 AM - Shimon Shtein

Fixes #29135 - Move external links to a single controller

Revision 971b2f69 - 05/21/2020 02:02 PM - Shimon Shtein

Refs #29135 - fix section paramter in links

Now the parameter can accept any input including dots

History

#1 - 02/23/2020 07:34 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7462 added

#2 - 02/25/2020 11:33 AM - Shimon Shtein

- Bugzilla link set to 1771484

#3 - 05/05/2020 11:57 AM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#4 - 05/05/2020 12:01 PM - Shimon Shtein

- Status changed from Ready For Testing to Closed

Applied in changeset 97b997fda5dbeebcd60ad2d5f29d6bc2ac59033b.

#5 - 05/14/2020 07:20 AM - Amit Upadhye

- Category set to Web Interface

#6 - 05/21/2020 01:16 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7682 added
#7 - 09/10/2020 04:58 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7975 added
